Kapitel 5. Paketmanagement
Zurück | 5.47 dpkg-architecture | Weiter

## 5.47 dpkg-architecture

`dpkg-architecture` ermittelt die Architektur des aktuellen Systems. Dies wird hauptsächlich beim erzeugen von Debian Paketen benötigt um so die Optionen für den Compiler entsprechend setzen zu können.

`dpkg-architecture` bietet dabei sowohl die Möglichkeit die Architektur des Systems zu ermitteln auf dem das Programm gestartet wird, wie auch eine andere Architektur zu setzen.

Die Syntax von `dpkg-architecture` ist folgendermassen aufgebaut:

    Usage:
      dpkg-architecture [<option> ...] [<action>
    Options:
           -a<debian-arch>    set Debian architecture
           -t<gnu-system>     set GNU system type
           -f                 force flag (override variables set in environment)
    Actions:
           -l                 list variables (default)
           -q<variable>       prints only the value of <variable>
           -s                 print command to set environment variables
           -u                 print command to unset environment variables
           -c <command>       set environment and run the command in it.

Die Ausgabe von `dpkg-architecture` auf einem Intel-System sieht, ohne weitere Optionen, wie folgt aus:

    fr@wasabi:~$ dpkg-architecture
    DEB_BUILD_ARCH=i386
    DEB_BUILD_GNU_CPU=i386
    DEB_BUILD_GNU_SYSTEM=linux
    DEB_BUILD_GNU_TYPE=i386-linux
    DEB_HOST_ARCH=i386
    DEB_HOST_GNU_CPU=i386
    DEB_HOST_GNU_SYSTEM=linux
    DEB_HOST_GNU_TYPE=i386-linux

Abweichend hierzu noch ein Beispiel für ein System mit der PowerPC Architektur:

    fr@inari:~$ dpkg-architecture
    DEB_BUILD_ARCH=powerpc
    DEB_BUILD_GNU_CPU=powerpc
    DEB_BUILD_GNU_SYSTEM=linux
    DEB_BUILD_GNU_TYPE=powerpc-linux
    DEB_HOST_ARCH=powerpc
    DEB_HOST_GNU_CPU=powerpc
    DEB_HOST_GNU_SYSTEM=linux
    DEB_HOST_GNU_TYPE=powerpc-linux

Aktuell kennt `dpkg-architecture` die Debian-Architekturen: `sh4eb`, `knetbsd-i386`, `netbsd-i386`, `hurd-i386`, `sh4`, `alpha`, `darwin-i386`, `ia64`, `mipsel`, `sparc`, `freebsd-i386`, `openbsd-i386`, `darwin-powerpc`, `arm`, `mips`, `sparc64`, `m68k`, `s390`, `sh3`, `hppa`, `s390x`, `kfreebsd-i386`, `powerpc`, `sh3eb`, `amd64`. `i386`

Bekannte GNU System Typen sind zur Zeit: `sh4eb-linux`, `i386-knetbsd-gnu`, `i386-netbsdelf-gnu`, `i386-gnu`, `sh4-linux`, `alpha-linux`, `i386-darwin`, `ia64-linux`, `mipsel-linux`, `sparc-linux`, `i386-freebsd`, `i386-openbsd`, `powerpc-darwin`, `arm-linux`, `mips-linux`, `sparc64-linux`, `m68k-linux`, `s390-linux`, `sh3-linux`, `hppa-linux`, `s390x-linux`, `i386-kfreebsd-gnu`, `powerpc-linux`, `sh3eb-linux`, `x86_64-linux`, `i386-linux`.

Zurück | Nach oben | Weiter
5.46 `dpkg-query` | Zum Anfang | 5.48 `debian-updates`

© 1999-2006 Frank Ronneburg - Dieser Inhalt ist unter einem Creative Commons Namensnennung - Nicht-kommerziell - Keine Bearbeitung Lizenzvertrag lizenziert (creativecommons.org/licenses/by-nc-nd/2.0/de/legalcode).